Package Details: python-empy 3.3.4-1

Git Clone URL: https://aur.archlinux.org/python-empy.git (read-only)
Package Base: python-empy
Description: A powerful and robust templating system for Python.
Upstream URL: http://www.alcyone.com/software/empy
Licenses: LGPL
Submitter: kartikmohta
Maintainer: kartikmohta
Last Packager: kartikmohta
Votes: 1
Popularity: 0.282263
First Submitted: 2018-06-03 20:34
Last Updated: 2019-05-14 16:43

Latest Comments

bionade24 commented on 2019-05-15 14:50

Problem isn't the package, it was the python executable. If there is none, nothing can be imported. Problem is solved.

kartikmohta commented on 2019-05-15 14:42

That's strange. What output do you get when running the following command?

python -c 'import em; print(em.__file__)'

bionade24 commented on 2019-05-15 13:13

Yes, the Python Version is set to 3. The problem is maybe that the python executable in /catkin_ws/build/python3 is missing, that should be the purpose why the module couldn't be found.

kartikmohta commented on 2019-05-15 03:33

Is it trying to use python2 for the empy module and hence not finding it? Are you sure you set the env variable ROS_PYTHON_VERSION to 3 when compiling the base ROS? You can check it in /opt/ros/melodic/etc/catkin/profile.d/1.ros_python_version.sh

bionade24 commented on 2019-05-14 18:06

-- Using default Python package layout
-- Could NOT find PY_em (missing:  PY_EM) 
CMake Error at /opt/ros/melodic/share/catkin/cmake/empy.cmake:29 (message):
  Unable to find either executable 'empy' or Python module 'em'...  try
  installing the package 'python-empy'

Same issue had someone with indigo. https://answers.ros.org/question/194190/problem-with-catkin_make-in-arch_linux/?answer=323148#post-id-323148

kartikmohta commented on 2019-05-14 17:33

It seems to work fine for me, I'm able to run catkin_make on my workspaces to build. Can you show me what error you get?

Also, looking at the source, catkin doesn't require an empy executable, it has an option to use the module as well (https://github.com/ros/catkin/blob/kinetic-devel/cmake/empy.cmake#L25).

bionade24 commented on 2019-05-14 17:20

This pacakge doesn't work with catkin_make as it doesn't have an executable. Could you please add the one from debian sid? https://packages.debian.org/testing/python3-empy